import request from '@/utils/request'

// 查询服务说明列表
export function listExplain(query) {
  return request({
    url: '/gas/explain/list',
    method: 'get',
    params: query
  })
}

// 查询服务说明详细
export function getExplain(id) {
  return request({
    url: '/gas/explain/' + id,
    method: 'get'
  })
}

// 新增服务说明
export function addExplain(data) {
  return request({
    url: '/gas/explain',
    method: 'post',
    data: data
  })
}

// 修改服务说明
export function updateExplain(data) {
  return request({
    url: '/gas/explain',
    method: 'put',
    data: data
  })
}

// 删除服务说明
export function delExplain(id) {
  return request({
    url: '/gas/explain/' + id,
    method: 'delete'
  })
}
export function getOne(query) {
  return request({
    url: '/gas/explain/getOne',
    method: 'get',
    params: query
  })
}
